//
// Blinn fragment shader
//

varying	vec3 l;
varying	vec3 h;
varying vec3 v;
varying vec3 n;

uniform sampler2D	diffMap;

void main (void)
{
	const vec4	diffColor = vec4 ( 0.5, 0.0, 0.0, 1.0 );
	const vec4	specColor = vec4 ( 0.1, 0.1, 0.0, 1.0 );
	const float	specPower = 20.0;

	vec3	n2   = normalize ( n );
	vec3	l2   = normalize ( l );
	vec3	h2   = normalize ( h );
	vec4	diff = 0.4 + diffColor * max ( dot ( n2, l2 ), 0.0 );
	vec4	spec = 40.0 * specColor * pow ( max ( dot ( n2, h2 ), 0.0 ), specPower );
	vec4	clr  = diff*texture2D ( diffMap, gl_TexCoord [0].xy ) + spec;
	
	gl_FragData [0] = clr;
	gl_FragData [1] = vec4 ( clr.rgb / 10.0, 1.0 );
}
