//
// Edge detect effect fragment shader
//

uniform	sampler2DRect mainTex;

void main (void)
{
	const vec2	scaleBias = vec2 ( 255.0, -128.0 + 1 );
	vec4		rgbe      = texture2DRect ( mainTex, gl_TexCoord [0].xy );
	vec3		clr;
	
	if ( rgbe.a == 0.0 )
		clr = vec3 ( 0.0 );
	else
	{
		float	f = exp2 ( rgbe.a * scaleBias.x + scaleBias.y );
		
		clr = rgbe.rgb * f;
	}

	gl_FragColor = vec4 ( clr, 1.0 );
}
