#extension GL_ARB_draw_buffers:enable

uniform sampler2D mainMap;
uniform sampler2D blurMap;

uniform float exposure;
uniform float blurStrength;


void main(void)
{
	vec4 base = texture2D ( mainMap, gl_TexCoord [0].xy );
	vec4 blur = texture2D ( blurMap, gl_TexCoord [0].xy );

	vec4 color = base + 10.0*blur;

	gl_FragColor.rgb = vec3 ( 1.0 ) - exp ( -exposure * color.rgb );
	gl_FragColor.a   = 1.0;
}
