//
// Simple Reinhard tone mapping (log/exp)
//

uniform sampler2D mainMap;
uniform sampler2D blurMap;

uniform float grayLevel;


void main(void)
{
	vec4  base   = texture2D ( mainMap, gl_TexCoord [0].xy );
	vec4  blur   = texture2D ( blurMap, gl_TexCoord [0].xy );
	float avgLum = exp ( texture2D ( blurMap, gl_TexCoord [0].xy, 12.0 ).a );

	base = base * (grayLevel / avgLum);

	vec4 color = base + 5.0 * blur;

	gl_FragColor = vec4 ( color.rgb, 1.0 );
}
