// 
// Simple tone mapping using L/(1+L) mapping
//

uniform sampler2D mainMap;
uniform sampler2D blurMap;


void main(void)
{
	const vec3	luminance = vec3 ( 0.3, 0.59, 0.11 );
	vec4  		base      = texture2D ( mainMap, gl_TexCoord [0].xy );
	vec4  		blur      = texture2D ( blurMap, gl_TexCoord [0].xy );
	float		l         = dot ( luminance, base.rgb );
	float		scale     = l / ( 1.0 + l );

	vec4 color = base * scale + 5.0 * blur;

	gl_FragColor = vec4 ( color.rgb, 1.0 );
}
