
uniform sampler2D mainMap;
uniform sampler2D blurMap;

uniform float lWhite;


void main(void)
{
	vec4  base   = texture2D ( mainMap, gl_TexCoord [0].xy );
	vec4  blur   = texture2D ( blurMap, gl_TexCoord [0].xy );
	float l      = dot ( vec3 ( 0.3, 0.59, 0.11 ), base.rgb );
	float scale  = l / ( 1.0 + l ) * (1.0 + l / (lWhite*lWhite));
	
	vec4 color = base * scale + 5.0 * blur;

	gl_FragColor.rgb = color.rgb;
	gl_FragColor.a   = 1.0;
}
