//
// Simple x-blur fragment shader
//

#define	HALF_SIZE	7.0

uniform	sampler2D	mainTex;

void main (void)
{
	vec4	sum = vec4 ( 0.0 );
	vec2	dx  = vec2 ( 1.0 / 512.0, 0 );
	vec2	tx  = gl_TexCoord [0].xy - HALF_SIZE*dx;

	for ( float i = 0.0; i < (2.0*HALF_SIZE+1.0); i++ )
	{
		sum += clamp ( texture2D ( mainTex, tx ), 0.001, 10000.0 );
		tx  += dx;
	}

	gl_FragColor = clamp ( sum / (2.0*HALF_SIZE+1.0), 0.001, 10000.0 );
}
